services:
  db:
    image: pgvector/pgvector:pg16
    container_name: pgvector-db
    environment:
      POSTGRES_USER: drgraph
      POSTGRES_PASSWORD: yingping
      POSTGRES_DB: th_agenter
    ports:
      - "5432:5432"
    volumes:
      - pgdata:/var/lib/postgresql/data
    restart: unless-stopped

volumes:
  pgdata:
  # docker exec -it pgvector-db psql -U drgraph -d th_agenter
